local status, packer = pcall(require, "packer")
if (not status) then
  print("Packer is not installed")
  return
end

vim.cmd [[packadd packer.nvim]]

packer.startup(function(use)
  use 'wbthomason/packer.nvim'

  use 'hrsh7th/cmp-buffer'   -- nvim-cmp source for buffer words
  use 'hrsh7th/cmp-nvim-lsp' -- nvim-cmp source for neovim's built-in LSP
  use 'hrsh7th/nvim-cmp'     -- Completion
  use 'L3MON4D3/LuaSnip'
  use 'neovim/nvim-lspconfig'   -- LSP
  use 'jose-elias-alvarez/null-ls.nvim'
  use 'williamboman/mason.nvim' -- LSP Installer
  use 'williamboman/mason-lspconfig.nvim'
  use 'nvim-tree/nvim-web-devicons'
  use { 'catppuccin/nvim', as = "catppuccin" }
  use {
    'nvim-telescope/telescope.nvim', tag = '0.1.8', -- For file searching :Telescope find_files
    requires = { { 'nvim-lua/plenary.nvim' } }
  }
  use { 'prettier/vim-prettier', build = 'pnpm install' }
  use { 'weilbith/nvim-code-action-menu', cmd = 'CodeActionMenu' }
  use 'bellinitte/uxntal.vim'
  use 'preservim/nerdtree' -- For file-browser :NERDTree
  use 'elkowar/yuck.vim'
end)
